## ocaml-dtools 0.1.3

=== Makefile ===
# Copyright 2003 Savonet team
# $Id: Makefile 2912 2007-03-02 13:51:00Z metamorph68 $

SRC=src
PROGNAME=ocaml-dtools
DISTFILES = bootstrap VERSION CHANGES configure configure.ac \
            COPYING Makefile README \
            src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
            doc/html

all:
	make -C $(SRC)

clean:
	make -C $(SRC) clean

install:
	make -C $(SRC) install

uninstall:
	make -C $(SRC) uninstall

update:
	make -C $(SRC) update

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -rf doc/html
	rm -f src/META src/Makefile

doc:
	make -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/dtools/html doc
	rm -rf src/doc

dist: doc
	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \
		VERSION=`echo "$$VERSION" | sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/'`; \
		mkdir $(PROGNAME)-$$VERSION; \
		cp -r --parents $(DISTFILES) $(PROGNAME)-$$VERSION; \
		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
		rm -rf $(PROGNAME)-$$VERSION

.PHONY: doc

## ocaml-dtools 0.1.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# Copyright 2003 Savonet team
-# $Id: Makefile 2912 2007-03-02 13:51:00Z metamorph68 $
+# Copyright 2003-2007 Savonet team
 
 SRC=src
 PROGNAME=ocaml-dtools
@@ -9,19 +8,19 @@
             doc/html
 
 all:
-	make -C $(SRC)
+	$(MAKE) -C $(SRC)
 
 clean:
-	make -C $(SRC) clean
+	$(MAKE) -C $(SRC) clean
 
 install:
-	make -C $(SRC) install
+	$(MAKE) -C $(SRC) install
 
 uninstall:
-	make -C $(SRC) uninstall
+	$(MAKE) -C $(SRC) uninstall
 
 update:
-	make -C $(SRC) update
+	$(MAKE) -C $(SRC) update
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status
@@ -29,7 +28,7 @@
 	rm -f src/META src/Makefile
 
 doc:
-	make -C src htdoc
+	$(MAKE) -C src htdoc
 	mkdir -p doc
 	rm -rf doc/html
 	mv src/doc/dtools/html doc
@@ -44,3 +43,4 @@
 		rm -rf $(PROGNAME)-$$VERSION
 
 .PHONY: doc
+

## ocaml-dtools 0.2.2

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 SRC=src
 PROGNAME=ocaml-dtools
-DISTFILES = bootstrap VERSION CHANGES configure configure.ac \
-            COPYING Makefile README \
+DISTFILES = bootstrap CHANGES configure configure.ac \
+            COPYING Makefile README m4/*.m4 \
             src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
             doc/html

## ocaml-dtools 0.3.0

=== Makefile ===
# Copyright 2003-2007 Savonet team

SRC := src
PROGNAME := ocaml-dtools
DISTFILES := config.guess config.sub install-sh m4/*.m4 bootstrap CHANGES configure configure.ac \
            COPYING Makefile README Makefile.in \
            src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
            doc/html
VERSION := 0.3.0

all:
	$(MAKE) -C $(SRC)

clean:
	$(MAKE) -C $(SRC) clean

install:
	$(MAKE) -C $(SRC) install

uninstall:
	$(MAKE) -C $(SRC) uninstall

update:
	$(MAKE) -C $(SRC) update

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -rf doc/html
	rm -f src/META src/Makefile

doc:
	$(MAKE) -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/dtools/html doc
	rm -rf src/doc

dist: doc
	mkdir $(PROGNAME)-$(VERSION)
	cp -R -L --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar zcvf ../$(PROGNAME)-$(VERSION).tar.gz $(PROGNAME)-$(VERSION)
	rm -rf $(PROGNAME)-$(VERSION)

.PHONY: doc

=== debian/changelog ===
ocaml-dtools (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 26 Jun 2012 06:57:24 +0200

ocaml-dtools (0.2.2-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 26 Jun 2011 16:16:05 -0500

ocaml-dtools (0.2.1-2) unstable; urgency=low

  * Upload to sid. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:27:58 -0600

ocaml-dtools (0.2.1-1) experimental; urgency=low

  * New upstream release, fixing typo in
    package dependencies in META file. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 24 Sep 2010 15:39:01 -0500

ocaml-dtools (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * Added support for syslog, added build-dep 
    on libsyslog-ocaml-dev.
  * Bumped standards version to 3.9.1
  * Upload to experimental now that squeeze is frozen.. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:24:52 -0500

ocaml-dtools (0.1.6-4) unstable; urgency=low

  * Switch to new automatic dependency system.
  * Bumped standards version to 3.8.3
  * Changed section to ocaml.
  * Fixed Vcs-* fields. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 18:05:20 -0500

ocaml-dtools (0.1.6-3) unstable; urgency=low

  * Switch packaging to git.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 10:53:18 +0100

ocaml-dtools (0.1.6-2) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion.
  * Switched to cdbs
  * Added dh-ocaml to build-deps.
  * Updated standards to 3.8.0.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 23:19:31 +0100

ocaml-dtools (0.1.6-1) unstable; urgency=low

  [ Stefano Zacchiroli ] 
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * New upstream release, now installs .cmx file
  * Changed maintainer to debian ocaml maintainers,
    added Sam and me as uploaders
  * Updated doc-base section

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 15 Apr 2008 13:51:53 +0100

ocaml-dtools (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * Updated standards to 3.7.3 (no changes).
  * Dropped no more needed dpatch system.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 12 Dec 2007 13:56:20 +0100

ocaml-dtools (0.1.4-2) unstable; urgency=low

  * Initial upload to sid

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 22 Nov 2007 01:50:34 +0100

ocaml-dtools (0.1.4-1) experimental; urgency=low

  * New upstream release.
  * Removed install.dpatch, integrated upstream.
  * Added a watch file.
  * Don't ignore errors on clean.

 -- Samuel Mimram <smimram@debian.org>  Sun, 11 Nov 2007 13:11:25 +0000

ocaml-dtools (0.1.3-3) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:41:19 +0200

ocaml-dtools (0.1.3-2) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added install.dpatch to correctly install files on archs without a native
    ocaml compiler, closes: #418728.

 -- Samuel Mimram <smimram@debian.org>  Thu, 12 Apr 2007 23:57:45 +0200

ocaml-dtools (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 08 Apr 2007 22:36:21 +0200

ocaml-dtools (0.1.2-1) unstable; urgency=low

  * New upstream release, closes: #399555.

 -- Samuel Mimram <smimram@debian.org>  Thu, 23 Nov 2006 22:11:52 +0000

ocaml-dtools (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 21 Apr 2005 01:30:03 +0200

=== debian/control ===
Source: ocaml-dtools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), ocaml-findlib (>= 1.2.4), libsyslog-ocaml-dev
Standards-Version: 3.9.3
Homepage: http://liquidsoap.fm/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-dtools.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-dtools.git

Package: libdtools-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library for writing daemons in OCaml
 dtools is a set of useful functions for writing daemon services in OCaml.
 .
 It includes support for:
  * configuration options
  * logging
  * detaching and writing PID file
  * start-up and shutdown task manager

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libdtools-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

## ocaml-dtools 0.3.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
             COPYING Makefile README Makefile.in \
             src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
             doc/html
-VERSION := 0.3.0
+VERSION := 0.3.1
 
 all:
 	$(MAKE) -C $(SRC)

=== debian/changelog ===
ocaml-dtools (0.3.1-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:31 +0000

ocaml-dtools (0.3.1-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:54:35 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
 Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), ocaml-findlib (>= 1.2.4), libsyslog-ocaml-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://liquidsoap.fm/
 Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-dtools.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-dtools.git

=== debian/watch ===
version=3

http://sf.net/savonet/ocaml-dtools-([0-9\.]*)\.tar\.gz debian uupdate

## ocaml-dtools 0.3.4

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
             COPYING Makefile README Makefile.in \
             src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
             doc/html
-VERSION := 0.3.1
+VERSION := 0.3.4
 
 all:
 	$(MAKE) -C $(SRC)

=== debian/changelog ===
ocaml-dtools (0.3.4-2) unstable; urgency=low

  * Update VCS-* to point to salsa

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 28 May 2018 12:14:46 +0200

ocaml-dtools (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Fix watch file upstream location
  * Bump standards version to 4.1.3
  * Bump compat level to 10
  * Update copyright information

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 06 Mar 2018 17:11:53 +0200

ocaml-dtools (0.3.1-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on bytecode architectures (Closes: #859969)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Apr 2017 13:37:34 +0200

=== debian/control ===
Source: ocaml-dtools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Romain Beauxis <toots@rastageeks.org>,
           Samuel Mimram <smimram@debian.org>
Build-Depends: cdbs (>= 0.4.53),
               debhelper (>= 10),
               ocaml-nox,
               dh-ocaml (>= 0.9),
               ocaml-findlib (>= 1.2.4),
               libsyslog-ocaml-dev
Standards-Version: 4.1.3
Homepage: http://liquidsoap.fm/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dtools

Package: libdtools-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library for writing daemons in OCaml
 dtools is a set of useful functions for writing daemon services in OCaml.
 .
 It includes support for:
  * configuration options
  * logging
  * detaching and writing PID file
  * start-up and shutdown task manager

## ocaml-dtools 0.4.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
             COPYING Makefile README Makefile.in \
             src/OCamlMakefile src/*Makefile.in src/META.in src/*.ml src/*.mli \
             doc/html
-VERSION := 0.3.4
+VERSION := 0.4.1
 
 all:
 	$(MAKE) -C $(SRC)

=== debian/changelog ===
ocaml-dtools (0.4.1-1) unstable; urgency=low

  * New upstream version 0.4.1
  * Update copyright

 -- Kyle Robbertze <krobbertze@gmail.com>  Thu, 13 Sep 2018 11:48:01 +0200

ocaml-dtools (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0
  * Bump Standards-Version to 4.2.1 (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 27 Aug 2018 09:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                dh-ocaml (>= 0.9),
                ocaml-findlib (>= 1.2.4),
                libsyslog-ocaml-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://liquidsoap.fm/
-Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dtools
 
 Package: libdtools-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libdtools-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-dtools/releases .*download/\d\S+/ocaml-dtools-(\d\S+).tar.gz

## ocaml-dtools 0.4.2

=== debian/changelog ===
ocaml-dtools (0.4.2-1build2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:47:05 +0100

ocaml-dtools (0.4.2-1build1) groovy; urgency=medium

  * No change rebuild against new syslog-ocaml ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:56:00 +0100

ocaml-dtools (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update uploader email
  * Update watch file
  * Move buildsystem to dune
  * Bump Standards-Version to 4.5.0 (R-R-R, debhelper-compat)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 25 May 2020 11:50:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: ocaml-dtools
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>,
            Romain Beauxis <toots@rastageeks.org>,
            Samuel Mimram <smimram@debian.org>
-Build-Depends: cdbs (>= 0.4.53),
-               debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml (>= 0.9),
+               dune,
                ocaml-nox,
-               dh-ocaml (>= 0.9),
                ocaml-findlib (>= 1.2.4),
                libsyslog-ocaml-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://liquidsoap.fm/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dtools
+Rules-Requires-Root: no
 
 Package: libdtools-ocaml-dev
 Architecture: any

## ocaml-dtools 0.4.4

=== debian/changelog ===
ocaml-dtools (0.4.4-1) unstable; urgency=medium

  [ Stephane Glondu ]
  * Build-depend on ocaml-dune

  [ Kyle Robbertze ]
  * New upstream version 0.4.4
  * Update upstream homepage
  * Remove inactive uploaders
  * Patch required ocaml-dune version for Debian's

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 26 Aug 2021 14:04:21 +0200

=== debian/control ===
Source: ocaml-dtools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml (>= 0.9),
               ocaml-dune,
               ocaml-nox,
               ocaml-findlib (>= 1.2.4),
               libsyslog-ocaml-dev
Standards-Version: 4.5.0
Homepage: https://github.com/savonet/ocaml-dtools
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dtools
Rules-Requires-Root: no

Package: libdtools-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library for writing daemons in OCaml
 dtools is a set of useful functions for writing daemon services in OCaml.
 .
 It includes support for:
  * configuration options
  * logging
  * detaching and writing PID file
  * start-up and shutdown task manager

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build @install --verbose

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	dune install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose
	dh_install

## ocaml-dtools 0.4.5

=== debian/changelog ===
ocaml-dtools (0.4.5-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:08:26 +0100

ocaml-dtools (0.4.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 06:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml (>= 0.9),
+               dh-ocaml (>= 1.2),
                ocaml-dune,
-               ocaml-nox,
-               ocaml-findlib (>= 1.2.4),
+               ocaml,
                libsyslog-ocaml-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/savonet/ocaml-dtools
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dtools.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dtools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

## ocaml-dtools 0.4.6

=== debian/changelog ===
ocaml-dtools (0.4.6-1build3) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@debian.org>  Thu, 26 Feb 2026 23:07:48 +0100

ocaml-dtools (0.4.6-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 09:56:30 +0100

ocaml-dtools (0.4.6-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:14:00 +0200

ocaml-dtools (0.4.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Mar 2025 09:35:36 +0100
